Package de.willuhn.jameica.hbci.server.hbci.tests

# Class CanTermDelRestriction

java.lang.Object
de.willuhn.jameica.hbci.server.hbci.tests.CanTermDelRestriction

All Implemented Interfaces:
  `Restriction`

public class CanTermDelRestriction extends Object implements Restriction
Testet, ob terminierte Loeschung eines Auftrages, also zu einem angegebenen Zeitpunkt bei der Bank erlaubt ist.

## Constructor Summary

Constructors
Constructor
Description
`CanTermDelRestriction(Properties jobRestrictions)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`test()`
Fuehrt den Test aus.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CanTermDelRestriction

public CanTermDelRestriction(Properties jobRestrictions)
ct.

Parameters:
  `jobRestrictions` - Job-Restrictions des HBCI-Systems.

## Method Details

### test

public void test() throws de.willuhn.util.ApplicationException
Description copied from interface: `Restriction`
Fuehrt den Test aus.

Specified by:
  `test` in interface `Restriction`
Throws:
  `de.willuhn.util.ApplicationException` - wird geworfen, wenn der Test fehlschlug. Die Exception muss eine fuer den Benutzer verstaendliche Fehlermeldung enthalten.
See Also:
  - `Restriction.test()`